Package writer2xhtml.api

# Interface Config

public interface Config
This is an interface for configuration of a `Converter`. A configuration always supports simple name/value options. In addition, you can read and write configurations using streams or abstract file names. The format depends on the `Converter` implementation, cf. the user's manual.

## Method Summary

Modifier and Type
Method
Description
`ComplexOption`
`getComplexOption(String sName)`
Get a complex option
`String`
`getOption(String sName)`
Get a named option
`void`
`read(File file)`
Read a configuration (file based version)
`void`
`read(InputStream is)`
Read a configuration (stream based version)
`void`
`readDefaultConfig(String sName)`
Read a default configuration: The available configurations depend on the `Converter` implementation
`void`
`setOption(String sName, String sValue)`
Set a name/value option.
`void`
`write(File file)`
Write the configuration (file based version)
`void`
`write(OutputStream os)`
Write the configuration (stream based version)

## Method Details

### readDefaultConfig

void readDefaultConfig(String sName) throws IllegalArgumentException
Read a default configuration: The available configurations depend on the `Converter` implementation

Parameters:
  `sName` - the name of the configuration
Throws:
  `IllegalArgumentException` - if the configuration does not exist

### read

void read(InputStream is) throws IOException
Read a configuration (stream based version)

Parameters:
  `is` - the `InputStream` to read from
Throws:
  `IOException` - if an error occurs reading the stream, or the data is not in the right format

### read

void read(File file) throws IOException
Read a configuration (file based version)

Parameters:
  `file` - the `File` to read from
Throws:
  `IOException` - if the file does not exist, an error occurs reading the file, or the data is not in the right format

### write

void write(OutputStream os) throws IOException
Write the configuration (stream based version)

Parameters:
  `os` - the `OutputStream` to write to
Throws:
  `IOException` - if an error occurs writing to the stream

### write

void write(File file) throws IOException
Write the configuration (file based version)

Parameters:
  `file` - the `File` to write to
Throws:
  `IOException` - if an error occurs writing to the file

### setOption

void setOption(String sName, String sValue)
Set a name/value option. Options that are not defined by the `Converter` implementation as well as null values are silently ignored

Parameters:
  `sName` - the name of the option
  `sValue` - the value of the option

### getOption

String getOption(String sName)
Get a named option

Parameters:
  `sName` - the name of the option
Returns:
  the value of the option, or `null` if the option does not exist or the given name is null

### getComplexOption

ComplexOption getComplexOption(String sName)
Get a complex option

Parameters:
  `sName` - the name of the complex option
Returns:
  the option